Wind River Support Network

HomeDefectsLIN5-19984
Fixed

LIN5-19984 : Security Advisory - openssl - CVE-2015-0205

Created: Jan 14, 2015    Updated: Dec 19, 2017
Resolved Date: Jan 15, 2015
Found In Version: 5.0.1.22
Fix Version: 5.0.1.23
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The ssl3_get_cert_verify function in s3_srvr.c in OpenSSL 1.0.0 before 1.0.0p and 1.0.1 before 1.0.1k accepts client authentication with a Diffie-Hellman (DH) certificate without requiring a CertificateVerify message, which allows remote attackers to obtain access without knowledge of a private key via crafted TLS Handshake Protocol traffic to a server that recognizes a Certification Authority with DH support.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-0205

Other Downloads


Live chat
Online